Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Anybody using v5 for a live store yet?
 
Reply
   X-Cart forums > Considering X-Cart > Considering using X-Cart for my project
 
Thread Tools Search this Thread
  #1  
Old 03-12-2014, 05:16 AM
  finestshops's Avatar 
finestshops finestshops is offline
 

eXpert
  
Join Date: Oct 2002
Location: Toronto, Canada
Posts: 329
 

Default Anybody using v5 for a live store yet?

Hi guys,

Do you have any live stores running on v5?
We have several projects started on v5 but getting stopped by some major issues in this new version and getting this from our X-cart friends for weeks now: "The issue appears to be an existing problem in our software. It has been registered and is being investigated by the Maintenance group."

I wonder if it's possible at all to use it for a production store. Any live stores out there yet? or we'd better go back to 4.6 until v5 is ready for production.
__________________
Best regards,

Anton Pachkine
FinestShops.com - E-Commerce Conversion Optimization and Management
X-cart premium hosting, tech. support, customizations and 24/7 pro-active store performance monitoring in US, UK and Australia
Reply With Quote

The following user thanks finestshops for this useful post:
totaltec (07-11-2014)
  #2  
Old 03-12-2014, 09:16 AM
  RichieRich's Avatar 
RichieRich RichieRich is offline
 

X-Adept
  
Join Date: Sep 2004
Location: London, England
Posts: 749
 

Default Re: Anybody using v5 for a live store yet?

I have been testing it regularly since its release in January and I would say that it is possible to use it, however I am going to wait at least until the summer to start with it.

There are a number of bugs that are being fixed now and also some key features that I depend on in v4 are missing. Without them I simply cannot even use it.

I am sure that in 3-4 more releases they will have been addressed and it will look like a more serious prospect to go live with.
__________________
Richard


Ultimate 5.3.6
Reply With Quote
  #3  
Old 03-12-2014, 09:55 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,427
 

Default Re: Anybody using v5 for a live store yet?

There are some stores on XC Next (which was before XC5), I am sure there are some on XC5 too. The fact of the matter is XC5 is not mature enough to be seriously used in production. Many features are missing from XC4 and they are needed, many bugs (small or more serious) are discovered every day since users are trying to built an active store. XC5 was not put into excessive testing before its official release and now when it's "live" it is being worked on "as you go". My personal opinion.

While you can use it for some simple stores more demanding store in terms of features, modules, custom coding, etc will struggle right now with XC5. Not to mention it is brand new and completely different platform from XC4 and still very much behind. Although the XC team working on it is doing great job so far. But there is still way too much to be done before XC5 is ready for prime time. For now I place my bet on XC4 as main platform.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #4  
Old 03-12-2014, 12:07 PM
  tony_sologubov's Avatar 
tony_sologubov tony_sologubov is offline
 

X-Cart team
  
Join Date: Jan 2009
Posts: 2,421
 

Default Re: Anybody using v5 for a live store yet?

Hi Anton!

Although X-Cart 5 is used by many real stores, I do not want talk much about how many real stores we have, so I would not influence the feedback from community. On the other hand, I would like to comment about situation with bugs in X-Cart 5.

I will be honest, yes, X-Cart 5 is quite young and that is why it currently has more bugs than X-Cart 4. On the other hand, we especially designed X-Cart 5 in the way that you can get these bugs fixed with less hassle than with X-Cart 4.

For that, we added simple upgrade procedure + we regularly ship minor releases. For instance, X-Cart 5.0.12 will go live next week, while X-Cart 5.0.11 was released 18 Feb.

Finally, as for the problems you faced, now I am going to look through your communication with our support team and confirm what problems will be fixed in 5.0.12. I will email you the result.
Reply With Quote

The following 3 users thank tony_sologubov for this useful post:
numizan (08-26-2014), qualiteam (03-15-2014), RichieRich (03-12-2014)
  #5  
Old 03-27-2014, 06:06 PM
  finestshops's Avatar 
finestshops finestshops is offline
 

eXpert
  
Join Date: Oct 2002
Location: Toronto, Canada
Posts: 329
 

Default Re: Anybody using v5 for a live store yet?

Tony,

can you have somebody to check a problem we submitted in helpdesk? every time i ask for update i get "we need more time" b.s. for over a month now. how is it possible to run any production store on this if we have to wait for a fix for so long?
__________________
Best regards,

Anton Pachkine
FinestShops.com - E-Commerce Conversion Optimization and Management
X-cart premium hosting, tech. support, customizations and 24/7 pro-active store performance monitoring in US, UK and Australia
Reply With Quote
  #6  
Old 03-31-2014, 03:22 AM
  tony_sologubov's Avatar 
tony_sologubov tony_sologubov is offline
 

X-Cart team
  
Join Date: Jan 2009
Posts: 2,421
 

Default Re: Anybody using v5 for a live store yet?

Quote:
Originally Posted by finestshops
Tony,

can you have somebody to check a problem we submitted in helpdesk? every time i ask for update i get "we need more time" b.s. for over a month now. how is it possible to run any production store on this if we have to wait for a fix for so long?

Hi Anton!

I am really sorry you had to wait for our reply for so long. I just looked into the problem and upgraded your store. The problem with upgrade was caused by the bug in the cart2cart module + owner of X-Cart 5 files needed to be adjusted a little bit.

Tony.
Reply With Quote
  #7  
Old 05-27-2014, 08:37 AM
 
New York New York is offline
 

Advanced Member
  
Join Date: May 2014
Posts: 31
 

Default Re: Anybody using v5 for a live store yet?

Hello Anton, Just tried to upgrade our test x-cart 5 to x-cart 5.1 and it fail,
Store unacceptable, can not even login

first it was error about mobule pack and then errors and warnings.

Module pack ("XC\Mobile") is not received: "Error code (1025): Key argument is required for non-free addons"


Warning: syntax error, unexpected TC_STRING in /home/.../public_html/x5/etc//config.php on line 109 in /home/.../public_html/x5/Includes/Utils/ConfigParser.php on line 125

Fatal error: Uncaught exception 'Exception' with message 'Unable to parse config file "/home/.../public_html/x5/etc//config.php" (probably it has a wrong format)' in /home/.../public_html/x5/Includes/Utils/ConfigParser.php:97 Stack trace: #0 /home/.../public_html/x5/Includes/Utils/ConfigParser.php(126): Includes\Utils\ConfigParser::handleFileWrongFormat Error('/home/.../pu...') #1 /home/.../public_html/x5/Includes/Utils/ConfigParser.php(152): Includes\Utils\ConfigParser::parseCommon('/home/.../pu...') #2 /home/.../public_html/x5/Includes/Utils/ConfigParser.php(229): Includes\Utils\ConfigParser::parseLocalFile('confi g.php') #3 /home/.../public_html/x5/Includes/ErrorHandler.php(356): Includes\Utils\ConfigParser::getOptions(Array) #4 /home/.../public_html/x5/top.inc.PHP53.php(83): Includes\ErrorHandler::checkIsLCInstalled() #5 /home/.../public_html/x5/top.inc.php(45): require_once('/home/.../pu...') #6 /home/.../public_html/x5/cart.php(30): require_once('/home/.../pu...') #7 {main} thr in /home/.../public_html/x5/Includes/Utils/ConfigParser.php on line 97






Quote:
Originally Posted by tony_sologubov
Hi Anton!

Although X-Cart 5 is used by many real stores, I do not want talk much about how many real stores we have, so I would not influence the feedback from community. On the other hand, I would like to comment about situation with bugs in X-Cart 5.

I will be honest, yes, X-Cart 5 is quite young and that is why it currently has more bugs than X-Cart 4. On the other hand, we especially designed X-Cart 5 in the way that you can get these bugs fixed with less hassle than with X-Cart 4.

For that, we added simple upgrade procedure + we regularly ship minor releases. For instance, X-Cart 5.0.12 will go live next week, while X-Cart 5.0.11 was released 18 Feb.

Finally, as for the problems you faced, now I am going to look through your communication with our support team and confirm what problems will be fixed in 5.0.12. I will email you the result.
__________________
Thank you for your help.

http://www.1webmaker.com
Reply With Quote
  #8  
Old 05-27-2014, 08:45 AM
  finestshops's Avatar 
finestshops finestshops is offline
 

eXpert
  
Join Date: Oct 2002
Location: Toronto, Canada
Posts: 329
 

Default Re: Anybody using v5 for a live store yet?

Quote:
Originally Posted by New York
Hello Anton, Just tried to upgrade our test x-cart 5 to x-cart 5.1 and it fail,
[/b]

Hi, as I know, Mobile extension is not included in 5.1 and is an extra module now. Too bad upgrade was not upgraded to make this change more graceful. The only way I know to fix this is to do a full restore from backup (files and database) and wait until x-cart issues a fix.
__________________
Best regards,

Anton Pachkine
FinestShops.com - E-Commerce Conversion Optimization and Management
X-cart premium hosting, tech. support, customizations and 24/7 pro-active store performance monitoring in US, UK and Australia
Reply With Quote

The following user thanks finestshops for this useful post:
New York (05-27-2014)
  #9  
Old 05-27-2014, 08:59 AM
 
New York New York is offline
 

Advanced Member
  
Join Date: May 2014
Posts: 31
 

Default Re: Anybody using v5 for a live store yet?

Quote:
Originally Posted by finestshops
Hi, as I know, Mobile extension is not included in 5.1 and is an extra module now. Too bad upgrade was not upgraded to make this change more graceful. The only way I know to fix this is to do a full restore from backup (files and database) and wait until x-cart issues a fix.

I even disabled "Mobile mod" and it still failed to upgrade.

will try to install 5.1 as new installation and will see what will happens.

It is very strange/bad that default installation of 5 could not be upgraded to 5.1

Nothing changed and still failed. So user paid $499 and next week can not even upgrade.
__________________
Thank you for your help.

http://www.1webmaker.com
Reply With Quote
  #10  
Old 05-27-2014, 09:13 AM
 
Kirill Kirill is offline
Advanced Staff Users
 

X-Cart team
  
Join Date: Nov 2013
Posts: 104
 

Default Re: Anybody using v5 for a live store yet?

If you do not have a license key for the Mobile module you need to actually delete it not just disable.

The keys have been sent to everyone who has purchased either Mobile or Business/Business Premium packages so, please, check your mailbox. The key can be activated in the Marketplace via "Enter module license key" button.

Quote:
Originally Posted by New York
I even disabled "Mobile mod" and it still failed to upgrade.
__________________
X-Cart team
Reply With Quote
Reply
   X-Cart forums > Considering X-Cart > Considering using X-Cart for my project


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 09:28 AM.

   

 
X-Cart forums © 2001-2018